package com.energy.manage.service.controller.system;

import com.energy.manage.common.reponse.ResultResp;
import com.energy.manage.service.controller.base.BaseServiceController;
import com.energy.manage.service.service.system.SysOrganizationAuthService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author chy
 * @date 2024/5/21 09:33
 * @desc
 */
@Slf4j
@Api(value = "SysOrganizationAuthController", tags = "组织机构权限管理")
@RestController
@RequestMapping("/sysOrganizationAuth")
public class SysOrganizationAuthController extends BaseServiceController {

    @Autowired
    private SysOrganizationAuthService sysOrganizationAuthService;

    @ApiOperation(value = "根据角色查询风场列表")
    @GetMapping("/queryCodeNum")
    public ResultResp queryCodeNunByRoleId() {
        return success(sysOrganizationAuthService.queryCodeNunByRoleId(getRoleId()));
    }
}
